package admin

import (
	"github.com/gin-gonic/gin"
	"github.com/go-nunu/nunu-layout-advanced/internal/handler"
	"github.com/go-nunu/nunu-layout-advanced/internal/service/admin"
)

type UserHandler struct {
	*handler.Handler
	userService admin.UserService
}

func NewUserHandler(
	handler *handler.Handler,
	userService admin.UserService,
) *UserHandler {
	return &UserHandler{
		Handler:     handler,
		userService: userService,
	}
}

func (h *UserHandler) GetUsers(ctx *gin.Context) {

}